Skip to main content
GET
Get conversation

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

conversationId
string<uuid>
required

The unique identifier of the conversation

Response

Conversation retrieved successfully

id
string<uuid>
required

The unique identifier for this conversation.

Example:

"660e8400-e29b-41d4-a716-446655440001"

name
string | null
required

Conversation title, set by the AI after the first turn. null on brand-new conversations.

Example:

"Top products last week"

userId
string<uuid>
required

User ID of the person the conversation belongs to.

Example:

"770e8400-e29b-41d4-a716-446655440002"

createdAt
string<date-time>
required

When the conversation was created.

Example:

"2025-01-15T10:00:00.000Z"

updatedAt
string<date-time>
required

When the conversation was last modified.

Example:

"2025-01-15T10:01:30.000Z"

messages
object[]
required

Messages in chronological order, alternating between user and assistant turns.